<?php
/**
*	Mambo Site Server Open Source Edition Version 4.0.11
*	Dynamic portal server and Content managment engine
*	27-11-2002
*
*	Copyright (C) 2000 - 2002 Miro Contruct Pty Ltd
*	Distributed under the terms of the GNU General Public License
*	This software may be used without warrany provided these statements are left
*	intact and a "Powered By Mambo" appears at the bottom of each HTML page.
*	This code is Available at http://sourceforge.net/projects/mambo
*
*	Site Name: Mambo Site Server Open Source Edition Version 4.0.11
*	File Name: faq.php
*	Developers: Danny Younes - danny@miro.com.au
*				Nicole Anderson - nicole@miro.com.au
*	Date: 27-11-2002
* 	Version #: 4.0.11
*	Comments: The function listing retrieves all faq categories and titles from the database.
**/

require ("classes/html/faq.php");
$faq = new faq();

include_once ("includes/accesscheck.php");
$gid = checkaccess($HTTP_COOKIE_VARS["usercookie"], $db, $dbprefix);
include_once ("includes/getids.php");

switch($task) {
	case "viewfaq":
	show($faq, $database, $dbprefix, $artid, $gid, $db);
	break;
	default:
	listfaq($faq, $database, $dbprefix, $topid, $gid, $shownoauth, $popup);
	break;
}


function listfaq($faq, $database, $dbprefix, $topid, $gid, $shownoauth){
	/* Query to retrieve all categories that belong under the faq section and that are published. */
	$query = "SELECT categoryid, categoryname FROM ".$dbprefix."categories where section='Faq' and published=1 AND access<='$gid' ORDER BY categoryname";
	$result = $database->openConnectionWithReturn($query);
	$j = 0;
	while ($row = mysql_fetch_object($result)){
		$topicid[$j] = $row->categoryid;
		$topictext[$j] = $row->categoryname;
		/* Query to retrieve all faq titles that belong to the category chosen by the user. */
		$query2 = "SELECT artid, title, counter FROM ".$dbprefix."faqcont WHERE faqid='$row->categoryid' and published=1 and archived=0 ORDER BY ordering";
		$result2 = $database->openConnectionWithReturn($query2);
		$num[$j] = mysql_num_rows($result2);
		if ($topid <> ""){
			$i=0;
			if (mysql_num_rows($result2)<> 0){
				while ($row2 = mysql_fetch_object($result2)){
					$sid[$row->categoryname][$i] = $row2->artid;
					$title[$row->categoryname][$i] = $row2->title;
					$counter[$row->categoryname][$i] = $row2->counter;
					$i++;
				} /* while */
			} /* if */
		} /* if */
		$j++;
	} /* while */
	
	if ($shownoauth){
		$query = "SELECT categoryid, categoryname from ".$dbprefix."categories where section='Faq' and published=1 AND access>'$gid' ORDER BY categoryname";
		$result = $database->openConnectionWithReturn($query);
		$numresult = mysql_num_rows($result);
		$j = 0;
		while ($row = mysql_fetch_object($result)){
			$noauth_topictext[$j] = $row->categoryname;
			$j++;
		}
	}
	
	$faq->faqlist($topictext, $topicid, $num, $title, $sid, $topid, $counter, $noauth_topictext, $popup);
}
function show ($faq, $database, $dbprefix, $artid, $gid, $db) {
	
	$topquery=getcatids("faqid","faqcont", $gid, $db, $dbprefix);
	if ($topquery==''){
		echo"This resource is not valid or you are not authorized to access it.<br>";
		exit;
	}
	
	$query = "SELECT title, content FROM ".$dbprefix."faqcont WHERE artid=$artid";
	$result = $database->openConnectionWithReturn($query);
	while ($row = mysql_fetch_object($result)){
		$title = $row->title;
		$content = $row->content;
	}
	$query = "UPDATE ".$dbprefix."faqcont SET counter=counter+1 WHERE artid=$artid";
	$database->openConnectionNoReturn($query);
	$faq->showfaqs($title, $content, $artid);
}
?>
